%define upstream_name Class-Prototyped
%define upstream_version 1.16

%global __requires_exclude perl\\(GraphViz\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Fast prototype-based OO programming in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/T/TE/TEVERETT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.420.0
BuildArch:  noarch

# Run-time:

# GraphViz not used for tests
# IO::File not used for tests

# Tests:

%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude?__provides_exclude|}^perl\\(My[^\\)]*Class\\)$

%description
This package provides for efficient and simple prototype-based programming
in Perl. You can provide different subroutines for each object, and also
have objects inherit their behavior and state from another object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Documentation and libraries should not be executable
chmod -x perf/* examples/* Changes lib/Class/*.pm lib/Class/Prototyped/*

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Oct 05 2024 tv <tv> 1.160.0-1.mga10
+ Revision: 2103424
- update to 1.16

* Tue Sep 24 2024 tv <tv> 1.150.0-1.mga10
+ Revision: 2100835
- update to 1.15

* Sun Mar 20 2022 umeabot <umeabot> 1.130.0-7.mga9
+ Revision: 1802509
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.130.0-6.mga8
+ Revision: 1493549
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.130.0-5.mga7
+ Revision: 1266485
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.130.0-4.mga6
+ Revision: 1023991
- Rebuild for perl 5.22.2

* Thu Mar 31 2016 shlomif <shlomif> 1.130.0-3.mga6
+ Revision: 997027
- Add an exclude on GraphViz - it is not necessary

* Fri Feb 19 2016 umeabot <umeabot> 1.130.0-2.mga6
+ Revision: 968905
- Mageia 6 Mass Rebuild

* Fri Jul 24 2015 sander85 <sander85> 1.130.0-1.mga6
+ Revision: 856876
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 1.13-3.mga5
+ Revision: 742276
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.13-2.mga5
+ Revision: 731896
- relax requires

* Tue Sep 30 2014 tv <tv> 1.13-1.mga5
+ Revision: 731885
- imported package perl-Class-Prototyped

